Results 1 to 6 of 6
  1. #1

    Ensim and Apt-get = Nightmare!

    apt-get install tcl-devel
    Reading Package Lists... Done
    Building Dependency Tree... Done
    You might want to run `apt-get -f install' to correct these:
    The following packages have unmet dependencies:
    perl-MIME-tools: Depends: perl (= 5.8.0) but 3:5.8.1-92 is to be installed
    perl-MailTools: Depends: perl (= 5.8.0) but 3:5.8.1-92 is to be installed
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

    I get the following message when trying to install anything with apt-get on a Fedora/Ensim box. Can anyone give me any ideas to get round this?

    Its driving me nuts!

    Cheers guys/gals

  2. #2
    Join Date
    Aug 2002
    Location
    UK
    Posts
    846
    apt-get --no-dependancies or whatever the command is, try man

    blame ensim for being a control panel, as they all suck

  3. #3
    Yeah i tried --nodeps already with no luck, tried adding to ignore in apt.conf as well but just creates more hassle.

    I see to be stuck with a server that is less than perfect

  4. #4
    Join Date
    Aug 2002
    Location
    UK
    Posts
    846
    Perhaps you could grab the RPM by hand, unless it's on debian, then complain to ensim people.

  5. #5
    not really a happy bunny How can they charge people for this, along with the host, when it does not work to the full extent or restricts the use of the core OS in some way!

    My fault for being lazy, should have done everything from shell/by hand! wont be making that mistake again,

  6. #6
    Join Date
    Aug 2002
    Location
    UK
    Posts
    846
    ^^ www.gentoo.org

    proper OS

    although if you're using Debian I can't complain, it's a fine OS itself

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •